## ksirk 18.04.3

=== debian/changelog ===
ksirk (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:20:41 +0100

ksirk (4:17.12.3-0ubuntu2) cosmic; urgency=medium

  * Transition build dep libkf5config-bin-dev -> libkf5config-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Jun 2018 11:21:20 +0100

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0),
               libkdegames-dev,
               libkf5completion-dev (>= 5.15.0),
               libkf5config-dev (>= 5.15.0),
               libkf5configwidgets-dev (>= 5.15.0),
               libkf5coreaddons-dev (>= 5.15.0),
               libkf5crash-dev (>= 5.15.0),
               libkf5doctools-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5iconthemes-dev (>= 5.15.0),
               libkf5kdegames-dev (>= 4:18.04.3~),
               libkf5kio-dev (>= 5.15.0),
               libkf5newstuff-dev (>= 5.15.0),
               libkf5wallet-dev (>= 5.15.0),
               libkf5widgetsaddons-dev (>= 5.15.0),
               libkf5xmlgui-dev (>= 5.15.0),
               libphonon4qt5-dev (>= 4.9.51),
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0),
               libqt5svg5-dev (>= 5.2.0),
               pkg-config,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.2.0),
               zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 18.12.3

=== debian/changelog ===
ksirk (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:00 +0000

ksirk (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:06 +0000

ksirk (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:13 +0000

ksirk (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install ksirk.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:26 +0000

ksirk (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 20:12:24 +0000

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.15.0~),
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kio-dev (>= 5.15.0~),
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5wallet-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5svg5-dev (>= 5.2.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.2.0~),
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 19.04.3

=== debian/changelog ===
ksirk (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:55:48 +0000

ksirk (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:17:39 +0100

ksirk (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:10:44 +0100

ksirk (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:01:20 +0100

ksirk (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
                libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.15.0~),
                libkf5newstuff-dev (>= 5.15.0~),
                libkf5wallet-dev (>= 5.15.0~),

## ksirk 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(ksirk VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    IconThemes
    KIO
    NewStuff
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)
find_package(Phonon4Qt5 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)

kde_enable_exceptions()

remove_definitions(-DQT_NO_STL) 

ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KSIRK VERSION_HEADER ksirk_version.h)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES ksirk.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES ksirk.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== ksirkskineditor/CMakeLists.txt ===
# add_subdirectory( skins )

include_directories( 
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}  
)

########### next target ###############

set(ksirkskineditor_SRCS
  main.cpp
  mainwindow.cpp
  ksirkSkinEditorConfigDialog.cpp
  ksirkskineditorscene.cpp
  ksirkskineditorpixmapitem.cpp
  ksirkskineditortextitem.cpp
  ksirkcountrydefinition.cpp
  onu.cpp
  continent.cpp
  country.cpp
  nationality.cpp
  skinSpritesData.cpp
  goal.cpp
)

ecm_qt_declare_logging_category(ksirkskineditor_SRCS
                                HEADER ksirkskineditor_debug.h
                                IDENTIFIER KSIRKSKINEDITOR_LOG
                                CATEGORY_NAME org.kde.ksirk.skineditor)

set(ksirkskineditor_UI
#   ksirkskineditor.ui
  preferences.ui
  ksirkskineditorwidget.ui
  ksirkskindefinition.ui
  ksirkcountrydefinition.ui
  ksirkcontinentdefinition.ui
  ksirkgoaldefinition.ui
  ksirknationalitydefinition.ui
  ksirkspritesdefinition.ui
  ksirkskineditorcountriesselectiondialog.ui
)


ki18n_wrap_ui(ksirkskineditor_SRCS ${ksirkskineditor_UI} )

kconfig_add_kcfg_files( ksirkskineditor_SRCS ksirkskineditorsettings.kcfgc )

add_executable(ksirkskineditor ${ksirkskineditor_SRCS})

target_link_libraries(ksirkskineditor
  Qt5::Xml
  Qt5::Svg 
  KF5::IconThemes
  KF5::KIOCore 
  Phonon::phonon4qt5
  KF5::XmlGui
  KF5KDEGames
  KF5KDEGamesPrivate
  ${CRYPT_LIBS}
 )

install( TARGETS ksirkskineditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES ksirkskineditorsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR} )
install( PROGRAMS org.kde.ksirkskineditor.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( FILES ksirkskineditorui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/ksirkskineditor )

set (pics_default_DATA
cross.png
target.png
)
install( FILES ${pics_default_DATA} DESTINATION ${KDE_INSTALL_DATADIR}/ksirkskineditor/ )

=== ksirk/skins/static/Sounds/CMakeLists.txt ===

set (sounds_default_DATA 
cannon.wav 
crash.wav 
roll.wav)

install(FILES ${sounds_default_DATA} DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/static/Sounds)

=== debian/changelog ===
ksirk (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:13:43 +0000

ksirk (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:23:28 +0000

ksirk (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:57:40 +0000

ksirk (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:51:21 +0000

ksirk (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:36:02 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5doctools-dev (>= 5.15.0~),
                libkf5i18n-dev (>= 5.15.0~),
                libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5kio-dev (>= 5.15.0~),
                libkf5newstuff-dev (>= 5.15.0~),
                libkf5wallet-dev (>= 5.15.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	$(overridden_command)
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

## ksirk 20.08.1

=== debian/changelog ===
ksirk (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:17 +0100

ksirk (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Do not ship TODO, as it is not useful for users.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 11:03:02 +0200

ksirk (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Drop the Debian man pages, as they are outdated, and they offer no useful
    information.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.8.0
    - bump KF packages to 5.30.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 11:23:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,37 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5completion-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5doctools-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
-               libkf5kio-dev (>= 5.15.0~),
-               libkf5newstuff-dev (>= 5.15.0~),
-               libkf5wallet-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.30.0~),
+               gettext,
+               libkf5completion-dev (>= 5.30.0~),
+               libkf5config-dev (>= 5.30.0~),
+               libkf5configwidgets-dev (>= 5.30.0~),
+               libkf5coreaddons-dev (>= 5.30.0~),
+               libkf5crash-dev (>= 5.30.0~),
+               libkf5doctools-dev (>= 5.30.0~),
+               libkf5i18n-dev (>= 5.30.0~),
+               libkf5iconthemes-dev (>= 5.30.0~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kio-dev (>= 5.30.0~),
+               libkf5newstuff-dev (>= 5.30.0~),
+               libkf5wallet-dev (>= 5.30.0~),
+               libkf5widgetsaddons-dev (>= 5.30.0~),
+               libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqt5svg5-dev (>= 5.2.0~),
+               libqt5svg5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.2.0~),
+               qtbase5-dev (>= 5.8.0~),
                zlib1g-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
 
 Package: ksirk
 Architecture: any

## ksirk 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(ksirk VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.57.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DocTools
    I18n
    KIO
    NewStuff
    Wallet
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)
find_package(Phonon4Qt5 REQUIRED)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca-qt5"
                       TYPE REQUIRED)

kde_enable_exceptions()

remove_definitions(-DQT_NO_STL) 

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSIRK VERSION_HEADER ksirk_version.h)

add_subdirectory(ksirk)
add_subdirectory(ksirkskineditor)
add_subdirectory(doc)
if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES ksirk.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES ksirk.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== ksirk/CMakeLists.txt ===
include(CheckIncludeFiles)
check_include_files(sys/stropts.h SYS_STROPTS_H_FOUND)
configure_file(config-ksirk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ksirk.h)

add_subdirectory(skins)
add_subdirectory(iris)
add_subdirectory(icons)

# FIND_PACKAGE(ZLIB REQUIRED)

include_directories( 
  ${CMAKE_BINARY_DIR}/ksirk 
  ./Dialogs
  ./GameLogic 
  ./SaveLoad 
  ./skins 
  ./Sprites 
  ${CMAKE_CURRENT_SOURCE_DIR} 
  ${CMAKE_CURRENT_BINARY_DIR}  
  ${CMAKE_CURRENT_SOURCE_DIR}/iris/include/iris
  ${CMAKE_CURRENT_SOURCE_DIR}/iris/src
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/include/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/jabber/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-core/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp-im/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/util/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/network/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/cutestuff/
#   ${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/
  )

link_directories(${CMAKE_CURRENT_BINARY_DIR}/iris/)

########### next target ###############

set(ksirk_SRCS 
  GameLogic/gameautomaton.cpp
  kgamewin.cpp
  kgamewinslots.cpp
  gestionSprites.cpp
  Sprites/backgnd.cpp 
  Sprites/animsprite.cpp
  Sprites/cavalrysprite.cpp
  Sprites/animspriteslist.cpp
  Sprites/animspritespool.cpp
  Sprites/animspritesgroup.cpp
  Sprites/infantrysprite.cpp
  Sprites/cannonsprite.cpp
  Sprites/skinSpritesData.cpp
  Sprites/arrowsprite.cpp
  SaveLoad/ksirkgamexmlhandler.cpp
  SaveLoad/ksirkgamexmlloader.cpp
  GameLogic/aiColsonPlayer.cpp
  GameLogic/aiplayer.cpp
  GameLogic/aiplayerio.cpp
  GameLogic/continent.cpp
  GameLogic/country.cpp
  GameLogic/dice.cpp
  GameLogic/eventslistproperty.cpp
  GameLogic/goal.cpp
  GameLogic/KsirkChatItem.cpp
  GameLogic/KsirkChatModel.cpp
  GameLogic/KsirkChatDelegate.cpp
  GameLogic/KMessageParts.cpp
  GameLogic/nationality.cpp
  GameLogic/onu.cpp
  GameLogic/player.cpp
  GameLogic/distributiondata.cpp
  GameLogic/newplayerdata.cpp
  Dialogs/kplayersetupwidget.cpp
  Dialogs/newGameDialogImpl.cpp
  Dialogs/kwaitedplayersetupdialog.cpp
  Dialogs/restartOrExitDialogImpl.cpp
  Dialogs/joingame.cpp
  Dialogs/jabbergameui.cpp
  Dialogs/InvasionSlider.cpp
  Dialogs/newGameSummaryWidget.cpp
  Dialogs/tcpconnectwidget.cpp
  main.cpp
  decoratedgameframe.cpp 
  ksirkConfigDialog.cpp
  fightArena.cpp
  mainMenu.cpp
  krightdialog.cpp
  newgamesetup.cpp
#   Jabber/jabberaccount.cpp
  Jabber/kmessagejabber.cpp
  Jabber/jabberbytestream.cpp
  Jabber/jabberclient.cpp
  Jabber/jabberconnector.cpp
  Jabber/privacylist.cpp
  Jabber/privacylistitem.cpp
  Jabber/privacymanager.cpp
)

ecm_qt_declare_logging_category(ksirk_SRCS
                                HEADER ksirk_debug.h
                                IDENTIFIER KSIRK_LOG
                                CATEGORY_NAME org.kde.ksirk)

ecm_qt_declare_logging_category(ksirk_SRCS
                                HEADER jabber_protocol_debug.h
                                IDENTIFIER JABBER_PROTOCOL_LOG
                                CATEGORY_NAME org.kde.ksirk.jabber)

set(ksirk_UI
  Dialogs/qplayersetupdialog.ui
  Dialogs/newGameDialog.ui
  Dialogs/qwaitedplayersetupdialog.ui 
  Dialogs/restartOrExitDialog.ui
  Dialogs/joingame.ui
  Dialogs/jabbergameui.ui
  Dialogs/newGameSummary.ui
  Dialogs/tcpconnectwidget.ui
  preferences.ui
  mainMenu.ui
  )


ki18n_wrap_ui(ksirk_SRCS ${ksirk_UI} )

kconfig_add_kcfg_files( ksirk_SRCS ksirksettings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-ksirk.png")
ecm_add_app_icon(ksirk_SRCS ICONS ${ICONS_SRCS})

add_executable(ksirk ${ksirk_SRCS})

target_link_libraries(ksirk
    Qt5::Xml
    Qt5::Svg
    qca-qt5
    iris_ksirk
    KF5::Crash
    KF5::KIOCore
    KF5::NewStuff
    KF5::Wallet
    Phonon::phonon4qt5
    KF5KDEGames
    KF5KDEGamesPrivate
)

install( TARGETS ksirk ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES ksirksettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(PROGRAMS org.kde.ksirk.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ksirkui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/ksirk)
install(FILES jabber.png  DESTINATION  ${KDE_INSTALL_DATADIR}/ksirk)
install(FILES ksirk.knsrc  DESTINATION  ${KDE_INSTALL_KNSRCDIR})
install(FILES org.kde.ksirk.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== ksirkskineditor/CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,6 @@
 target_link_libraries(ksirkskineditor
   Qt5::Xml
   Qt5::Svg 
-  KF5::IconThemes
   KF5::KIOCore 
   Phonon::phonon4qt5
   KF5::XmlGui

=== debian/changelog ===
ksirk (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.57.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Unregister the old /etc/xdg/ksirk.knsrc conffile.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 22:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.30.0~),
+               extra-cmake-modules (>= 5.57.0~),
                gettext,
-               libkf5completion-dev (>= 5.30.0~),
-               libkf5config-dev (>= 5.30.0~),
-               libkf5configwidgets-dev (>= 5.30.0~),
-               libkf5coreaddons-dev (>= 5.30.0~),
-               libkf5crash-dev (>= 5.30.0~),
-               libkf5doctools-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5iconthemes-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
-               libkf5kio-dev (>= 5.30.0~),
-               libkf5newstuff-dev (>= 5.30.0~),
-               libkf5wallet-dev (>= 5.30.0~),
-               libkf5widgetsaddons-dev (>= 5.30.0~),
-               libkf5xmlgui-dev (>= 5.30.0~),
+               libkf5completion-dev (>= 5.57.0~),
+               libkf5config-dev (>= 5.57.0~),
+               libkf5configwidgets-dev (>= 5.57.0~),
+               libkf5coreaddons-dev (>= 5.57.0~),
+               libkf5crash-dev (>= 5.57.0~),
+               libkf5doctools-dev (>= 5.57.0~),
+               libkf5i18n-dev (>= 5.57.0~),
+               libkf5iconthemes-dev (>= 5.57.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kio-dev (>= 5.57.0~),
+               libkf5newstuff-dev (>= 5.57.0~),
+               libkf5wallet-dev (>= 5.57.0~),
+               libkf5widgetsaddons-dev (>= 5.57.0~),
+               libkf5xmlgui-dev (>= 5.57.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqt5svg5-dev (>= 5.8.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.10.0~),
                zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk

## ksirk 20.12.3

=== debian/changelog ===
ksirk (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:34 +0000

ksirk (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:51 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
                libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5kio-dev (>= 5.57.0~),
                libkf5newstuff-dev (>= 5.57.0~),
                libkf5wallet-dev (>= 5.57.0~),

## ksirk 21.08.0

=== debian/changelog ===
ksirk (4:21.08.0-1deepin1) unstable; urgency=medium

  * fix: adapt KF5KDEGames version to newer system one

 -- sisungo <sisungo@icloud.com>  Sun, 9 Nov 2025 19:21:33 +0800

ksirk (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:25:30 +0900

ksirk (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:00:27 +0900

=== debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.57.0~),
               libkf5kdegames-dev (>= 4:21.08.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5newstuff-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libkf5xmlgui-dev (>= 5.68.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.0~),
               zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git

Package: ksirk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Risk strategy game
 KsirK is a strategy game inspired by the well known game Risk. It is a
 multi-player network-enabled game with an AI. The goal of the game is simply
 to conquer the World. It is done by attacking your neighbours with your
 armies. At the beginning of the game, countries are distributed to all the
 players. Each country contains one army represented by an infantryman. Each
 player has some armies to distribute to his countries. On each turn, each
 player can attack his neighbours, eventually conquering one or more countries.
 At the end of each turn, some bonus armies are distributed to the players in
 function of the number of countries they own. The winner is the player that
 conquered all the world.
 .
 This package is part of the KDE games module.

## ksirk 21.08.1

=== debian/changelog ===
ksirk (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:46 +0100

ksirk (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:01 +0100

ksirk (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:02 +0100

ksirk (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:55 +0100

ksirk (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:14 +0100

ksirk (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:12 +0100

ksirk (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:48 +0100

ksirk (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,39 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
+           Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Sune Vuorela <sune@debian.org>,
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.57.0~),
                gettext,
-               libkf5completion-dev (>= 5.68.0~),
-               libkf5config-dev (>= 5.68.0~),
-               libkf5configwidgets-dev (>= 5.68.0~),
-               libkf5coreaddons-dev (>= 5.68.0~),
-               libkf5crash-dev (>= 5.68.0~),
-               libkf5doctools-dev (>= 5.68.0~),
-               libkf5i18n-dev (>= 5.68.0~),
+               libkf5completion-dev (>= 5.57.0~),
+               libkf5config-dev (>= 5.57.0~),
+               libkf5configwidgets-dev (>= 5.57.0~),
+               libkf5coreaddons-dev (>= 5.57.0~),
+               libkf5crash-dev (>= 5.57.0~),
+               libkf5doctools-dev (>= 5.57.0~),
+               libkf5i18n-dev (>= 5.57.0~),
                libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:21.08.0~),
-               libkf5kio-dev (>= 5.68.0~),
-               libkf5newstuff-dev (>= 5.68.0~),
-               libkf5wallet-dev (>= 5.68.0~),
-               libkf5widgetsaddons-dev (>= 5.68.0~),
-               libkf5xmlgui-dev (>= 5.68.0~),
+               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kio-dev (>= 5.57.0~),
+               libkf5newstuff-dev (>= 5.57.0~),
+               libkf5wallet-dev (>= 5.57.0~),
+               libkf5widgetsaddons-dev (>= 5.57.0~),
+               libkf5xmlgui-dev (>= 5.57.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqt5svg5-dev (>= 5.12.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.10.0~),
                zlib1g-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

## ksirk 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(ksirk VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "5.10.0")
-set (KF5_MIN_VERSION "5.57.0")
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
@@ -60,12 +60,11 @@
 add_subdirectory(ksirk)
 add_subdirectory(ksirkskineditor)
 add_subdirectory(doc)
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES ksirk.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES ksirk.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
-
+ecm_qt_install_logging_categories(
+        EXPORT KSIRK
+        FILE ksirk.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

=== ksirk/CMakeLists.txt ===
--- 
+++ 
@@ -96,12 +96,14 @@
 ecm_qt_declare_logging_category(ksirk_SRCS
                                 HEADER ksirk_debug.h
                                 IDENTIFIER KSIRK_LOG
-                                CATEGORY_NAME org.kde.ksirk)
+                                CATEGORY_NAME org.kde.ksirk
+                                DESCRIPTION "kdegames(ksirk)" EXPORT KSIRK)
 
 ecm_qt_declare_logging_category(ksirk_SRCS
                                 HEADER jabber_protocol_debug.h
                                 IDENTIFIER JABBER_PROTOCOL_LOG
-                                CATEGORY_NAME org.kde.ksirk.jabber)
+                                CATEGORY_NAME org.kde.ksirk.jabber
+                                DESCRIPTION "kdegames (ksirk jabber)" EXPORT KSIRK)
 
 set(ksirk_UI
   Dialogs/qplayersetupdialog.ui

=== doc/ksirk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR ksirk)

=== ksirk/skins/default/Sounds/CMakeLists.txt ===

set (sounds_default_DATA 
cannon.wav 
crash.wav 
roll.wav)

install(FILES ${sounds_default_DATA} DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/default/Sounds)

=== ksirk/skins/realpol/Images/sprites/CMakeLists.txt ===
set (sprites_default_DATA 
belgium.svg 
cannon.svg 
cavalry.svg 
exploding.svg 
firing.svg 
france.svg 
infantry.svg 
italy.svg 
japan.svg 
infantry1.svg 
infantry2.svg 
infantry3.svg 
uk.svg 
us.svg)

install( FILES ${sprites_default_DATA} DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/realpol/Images/sprites )

=== debian/changelog ===
ksirk (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:23 +0000

ksirk (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:58 +0000

ksirk (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:48 +0000

ksirk (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:57 +0000

ksirk (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:11:08 +0000

ksirk (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:08 +0000

ksirk (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:28 +0000

ksirk (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ksirk
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -21,7 +22,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
                libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5kio-dev (>= 5.57.0~),
                libkf5newstuff-dev (>= 5.57.0~),
                libkf5wallet-dev (>= 5.57.0~),
@@ -38,8 +39,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksirk.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksirk
 
 Package: ksirk
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ksirk 22.08.1

=== debian/changelog ===
ksirk (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:41 +0100

ksirk (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:06 +0100

ksirk (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:52 +0100

ksirk (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:22 +0100

ksirk (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:24 +0100

ksirk (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:45 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5doctools-dev (>= 5.57.0~),
                libkf5i18n-dev (>= 5.57.0~),
                libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.57.0~),
                libkf5newstuff-dev (>= 5.57.0~),
                libkf5wallet-dev (>= 5.57.0~),
